summary refs log tree commit diff stats
path: root/unstow-all
diff options
context:
space:
mode:
authorAlan Pearce2019-10-01 21:24:50 +0200
committerAlan Pearce2019-10-01 22:17:40 +0200
commitd0200a6b07e497d07dff2cfe0857f4dceb724b58 (patch)
tree55e43bfb932b298a6c16a3e892c8cef0451d377a /unstow-all
parent75166a4de865570f27c074c82e47168ac8630f83 (diff)
downloadnixfiles-d0200a6b07e497d07dff2cfe0857f4dceb724b58.tar.lz
nixfiles-d0200a6b07e497d07dff2cfe0857f4dceb724b58.tar.zst
nixfiles-d0200a6b07e497d07dff2cfe0857f4dceb724b58.zip
Prepare for home-manager migration
Diffstat (limited to 'unstow-all')
-rwxr-xr-xunstow-all11
1 files changed, 11 insertions, 0 deletions
diff --git a/unstow-all b/unstow-all
new file mode 100755
index 00000000..3e56fd31
--- /dev/null
+++ b/unstow-all
@@ -0,0 +1,11 @@
+#!/usr/bin/env zsh
+
+set -euo pipefail
+
+echo "Checking if all packages can be unstowed"
+./stow -Dn --ignore="tabnine_config\.json" *(/)
+
+echo "Unstowing!"
+./stow -D --ignore="tabnine_config\.json" *(/)
+
+rmdir ~/.config/nixpkgs || echo "Could not remove nixpkgs directory. Remove it manually before running the installer."